> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ConfigureIntegrationDatasetAPI updates an existing integration dataset's


> generic segment scope and optional canonical sync.




## OpenAPI

````yaml /api/openapi.json post /v1/integration-datasets/{datasetID}/configure
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, and experiments. Authenticate with
    a Bearer API key (erdo_api_...) or scoped token (erdo_token_...).
  version: '2026-07-25'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/integration-datasets/{datasetID}/configure:
    post:
      summary: |
        ConfigureIntegrationDatasetAPI updates an existing integration dataset's
      description: |
        generic segment scope and optional canonical sync.
      operationId: POST:mcp.ConfigureIntegrationDatasetAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: datasetID
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              properties:
                enable_sync:
                  type: boolean
                segments:
                  items:
                    type: string
                  type: array
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  dataset_id:
                    format: uuid
                    type: string
                  segments:
                    items:
                      type: string
                    type: array
                  status:
                    type: string
                  sync_enabled:
                    type: boolean
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````